<?php

include_once './config.php';
include_once './functions.php';

$sql = "select * from `blocks` order by id asc";
$sth = $db->prepare($sql);
$sth->execute();
$res = $sth->fetchAll();
$last_hash = '';
foreach ($res as $block) {
    // пересчитываем хэш блока
    $block_hash = createBlockHash($block['author'], $block['data'], $block['timestamp'], $last_hash);

    //сравниваем сформированный хэш с хэшом блока в блокчейне(БД)
    if ($block_hash == $block['hash']) {
        echo 'Block ' . $block['id'].' ok<br>';
    } else {
        echo 'Block ' . $block['id'].' fail<br>';
    }

    //"сохраняем" в памяти хэш предыдущего блока
    $last_hash = $block['hash'];
}