<?php

include_once './config.php';
include_once './mining_functions.php';

$sql = "select * from `mining` order by id asc";
$sth = $db->prepare($sql);
$sth->execute();
$res = $sth->fetchAll();
$last_hash = '';
foreach ($res as $block) {
    $part = (int)(($block['id'] + 9) / 10);
    $check_hash = hash('sha256', $last_hash . $block['hash']);

    //проверяем - удовлетворяет ли сформированный хэш условиям блокчейна
    $check = checkHash($check_hash, $part);

    if ($check == true) {
        echo 'Block ' . $block['id'].' ok<br>';
    } else {
        echo 'Block ' . $block['id'].' fail<br>';
    }

    //"сохраняем" в памяти хэш предыдущего блока
    $last_hash = $block['hash'];
}